inquiryRefund

POST /v2/payments/inquiryRefund

Call the inquiryRefund interface to query the refund status.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see:

Request parameters

Parameter name

Type

Required

Description

refundId

String

YesThe refund ID returned by the refund API.

响应参数

Parameter name

Type

Required

Description

refundId

String

YesThe refund ID.

result

Result

YesThe result of the API call.

refundStatus

String

Yes

The final status of the refund. Valid values are:

  • SUCCESS: The refund is successful.
  • FAILED: The refund has failed.
  • PENDING: The refund is still being processed.

refundTime

String

No

The time when the refund was completed.

paymentId

String

YesThe original payment ID.

Result

Parameter name

Type

Required

Description

resultStatus

String

Yes

The result status. Valid values are:

  • S: Successful
  • F: Failed
  • U: Unknown

resultCode

String

No

The result code.

Maximum length: 64 characters

resultMessage

String

No

The result message that describes the result code in detail.

Maximum length: 256 characters

Result codes

resultCode

resultStatus

resultMessage

Further action

SUCCESS

S

Success.

No action is required.

DPOS_PAYMENT_ACCESS_DENIED

F

Access is denied.

Contact Antom Technical Support for detailed reasons. 

DPOS_PAYMENT_CURRENCY_NOT_SUPPORT

F

The currency is not supported.

Contact Antom Technical Support for detailed reasons. 

DPOS_PAYMENT_INVALID_MERCHANT_STATUS

F

The merchant status is abnormal because restrictions exist.Contact Antom Technical Support for detailed reasons. 

DPOS_PAYMENT_ORDER_NOT_EXIST

F

The order does not exist.

Check whether paymentId is correct. If correct, contact Antom Technical Support for specific reasons.

DPOS_PAYMENT_ORDER_STATUS_INVALID

F

The order status is invalid. The transaction is under process or the transaction is failed.Check the order status and take corresponding actions. Wait if the transaction is under process. Do not initiate the refund if the transaction failed. Contact Antom Technical Support for specific reasons.

DPOS_PAYMENT_REPEAT_REQ_INCONSISTENT

F

The amount or currency is different from the previous request.Ensure all the fields in the requests are the same or use a new paymentRequestId to initiate the refund again. 

DPOS_PAYMENT_RISK_REJECT

F

The request is rejected because of the risk control.

Prompt the user that the request is rejected because the risk control failed.  

DPOS_PAYMENT_ORDER_IS_CANCELED

F

The transaction is canceled.You cannot refund the transaction because it is canceled.

DPOS_SYSTEM_ ERROR

F

A system error occurred.Do not retry, and contact Antom Technical Support for more details. 

DPOS_REFUND_KEY_NOT_FOUND

F

The private key or public key of Antom or the merchant is not found.Check whether the private key or public key exists. If not, upload the private key in Antom Dashboard. 

DPOS_REFUND_MERCHANT_BALANCE_NOT_ENOUGH

F

The merchant balance is insufficient.Call the API again after the merchant has sufficient balance. The refundRequestId field needs to be changed when you try again.

DPOS_REFUND_MULTIPLE_REFUNDS_NOT_SUPPORTED

F

Multiple refunds are not supported because restrictions exist in the contract.Check whether multiple refunds exist. Do not call the refund interface anymore. For each refund, only call the interface once. 

DPOS_REFUND_NO_INTERFACE_DEF

F

API is not defined.Check whether the URL is correct. Please refer to the endpoint in the API documentation. 

DPOS_REFUND_INVALID_API

F

The called API is invalid or not active.Contact Antom Technical Support to resolve the issue.  

DPOS_REFUND_PROCESS_FAIL

F

A general business failure occurred.Do not retry. Human intervention is usually needed. It is recommended that you contact Antom Technical Support to troubleshoot the issue. 

DPOS_REFUND_REFUND_AMOUNT_EXCEED

F

The total refund amount exceeds the payment amount or the refund amount is less than the minimum refund amount.Confirm whether the total refund amount exceeds the payment amount or whether the refund amount is less than the minimum refund amount. Create a new refund using an amount that is less than or equal to the payment amount and greater than or equal to the minimum refund amount, or contact Antom technical support.

DPOS_REFUND_REFUND_WINDOW_EXCEED

F

The refund date exceeds the refundable period that is agreed in the contract.Confirm whether the refund date exceeds the refundable period. Check the refundable period in the contract or contact Antom Technical Support for the specific refundable period.

DPOS_REFUND_REQUEST_TRAFFIC_EXCEED_LIMIT

F

The request traffic exceeds the limit.Call the API again to resolve the issue. If not resolved, contact Antom Technical Support. 

DPOS_REFUND_UNKNOWN_EXCEPTION

U

An API call has failed, which is caused by unknown reasons.Call the interface again to resolve the issue. If not resolved, contact Antom Technical Support. 

Samples

The following code shows a request message:

copy
{
    "refundId": "20260410194010890100111910209******",
}

The following code shows a response message:

copy
{
    "refundId": "20260410194010890100111910209******",
    "refundRequestId": "2026040919452311010022209B******",
    "refundStatus": "SUCCESS",
    "refundTime": "2026-04-10T03:04:44Z",
    "result": {
        "resultCode": "SUCCESS",
        "resultMessage": "Success.",
        "resultStatus": "S"
    }
}